Installation

Note

We currently support Python 3.7 to 3.10, and have tested LiberTEM-live on Linux, Windows and Mac OS systems. Please see the individual detector documentation for more details on system requirements.

The short version to install into an existing environment, which already has LiberTEM v0.11+ installed:

(libertem) $ python -m pip install "libertem-live"

If you don’t have such an environment, please see the LiberTEM installation instructions for more details.